%global makeflags PREFIX=%{_prefix} SYSCONFDIR=%{_sysconfdir} SYSTEMDUNITDIR=%{_unitdir}

Name: earlyoom
Version: 1.6.2
Release: %mkrel 1

License: MIT
URL: https://github.com/rfjakob/%{name}
Summary: Early OOM Daemon for Linux
Group:   System/Kernel and hardware
Source0: %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

# https://pagure.io/fedora-workstation/issue/119
Patch0: %{name}-fedora-options.patch

%{?systemd_requires}
BuildRequires: systemd
#BuildRequires: pandoc
BuildRequires: gcc

%description
The oom-killer generally has a bad reputation among Linux users.
This may be part of the reason Linux invokes it only when it has
absolutely no other choice. It will swap out the desktop
environment, drop the whole page cache and empty every buffer
before it will ultimately kill a process. At least that's what
I think what it will do. I have yet to be patient enough to wait
for it, sitting in front of an unresponsive system.

%prep
%autosetup -p1
sed -e '/systemctl/d' -i Makefile

%build
%set_build_flags
%make_build VERSION=%{version} %{makeflags}

%install
%make_install %{makeflags}

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_unitdir}/%{name}.service
#{_mandir}/man1/%{name}.*
%config(noreplace) %{_sysconfdir}/default/%{name}

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service



%changelog
* Fri Oct 16 2020 tv <tv> 1.6.2-1.mga8
+ Revision: 1636379
- 1.6.2

* Thu Jul 09 2020 tv <tv> 1.6.1-1.mga8
+ Revision: 1603493
- 1.6.1

* Sat Apr 11 2020 tv <tv> 1.6-1.mga8
+ Revision: 1566446
- 1.6

* Sun Apr 05 2020 tv <tv> 1.5-2.mga8
+ Revision: 1564903
- 1.5

* Wed Feb 19 2020 umeabot <umeabot> 1.3-2.mga8
+ Revision: 1542533
- Mageia 8 Mass Rebuild

* Sat Jan 04 2020 tv <tv> 1.3-1.mga8
+ Revision: 1476498
- imported package earlyoom

